LOAD DATA
INFILE '..\datafiles\ACTIVITY_DETAIL.del'
BADFILE '..\badfiles\ACTIVITY_DETAIL.bad'
DISCARDFILE '..\discardfiles\ACTIVITY_DETAIL.dsc'
REPLACE
INTO TABLE NF_SCHEMA."ACTIVITY_DETAIL"
FIELDS TERMINATED BY ","
OPTIONALLY ENCLOSED BY '"'
TRAILING NULLCOLS 
(                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
ACTIVITY_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                                 
PLANNED_START DATE "YYYY-MM-DD",                                                                                                                                                                                                                                                              
PLANNED_FINISH DATE "YYYY-MM-DD",                                                                                                                                                                                                                                                             
BASELINE_START DATE "YYYY-MM-DD",                                                                                                                                                                                                                                                             
ACTUAL_START DATE "YYYY-MM-DD",                                                                                                                                                                                                                                                               
BASELINE_FINISH DATE "YYYY-MM-DD",                                                                                                                                                                                                                                                            
ACTUAL_FINISH DATE "YYYY-MM-DD",                                                                                                                                                                                                                                                              
START_VARIANCE INTEGER EXTERNAL,                                                                                                                                                                                                                                                              
FINISH_VARIANCE INTEGER EXTERNAL,                                                                                                                                                                                                                                                             
PLANNED_WORK INTEGER EXTERNAL,                                                                                                                                                                                                                                                                
BASELINE_WORK INTEGER EXTERNAL,                                                                                                                                                                                                                                                               
REGULAR_WORK INTEGER EXTERNAL,                                                                                                                                                                                                                                                                
ACTUAL_WORK INTEGER EXTERNAL,                                                                                                                                                                                                                                                                 
REMAINING_WORK INTEGER EXTERNAL,                                                                                                                                                                                                                                                              
PLANNED_COST DECIMAL EXTERNAL,                                                                                                                                                                                                                                                                
BASELINE_COST DECIMAL EXTERNAL,                                                                                                                                                                                                                                                               
ACTUAL_COST DECIMAL EXTERNAL,                                                                                                                                                                                                                                                                 
REMAINING_COST DECIMAL EXTERNAL,                                                                                                                                                                                                                                                              
PLANNED_OVT_WORK DECIMAL EXTERNAL,                                                                                                                                                                                                                                                            
ACTUAL_OVT_WORK DECIMAL EXTERNAL,                                                                                                                                                                                                                                                             
REMAINING_OVT_WORK DECIMAL EXTERNAL,                                                                                                                                                                                                                                                          
ACTUAL_OVT_COST DECIMAL EXTERNAL,                                                                                                                                                                                                                                                             
REMAINING_OVT_COST DECIMAL EXTERNAL,                                                                                                                                                                                                                                                          
UNITS INTEGER EXTERNAL,                                                                                                                                                                                                                                                                       
DELAY INTEGER EXTERNAL,                                                                                                                                                                                                                                                                       
ACWP DECIMAL EXTERNAL,                                                                                                                                                                                                                                                                        
BCWP DECIMAL EXTERNAL,                                                                                                                                                                                                                                                                        
BCWS DECIMAL EXTERNAL,                                                                                                                                                                                                                                                                        
EAC DECIMAL EXTERNAL,                                                                                                                                                                                                                                                                         
RESOURCE_TYPE CHAR (18),                                                                                                                                                                                                                                                                      
IS_OVERALLOCATED INTEGER EXTERNAL,                                                                                                                                                                                                                                                            
IS_CONFIRMED INTEGER EXTERNAL,                                                                                                                                                                                                                                                                
PERCENT_COMPLETE DECIMAL EXTERNAL,                                                                                                                                                                                                                                                            
PERCENT_WORK_COMPLETE DECIMAL EXTERNAL,                                                                                                                                                                                                                                                       
PLANNED_DURATION INTEGER EXTERNAL,                                                                                                                                                                                                                                                            
ACTUAL_DURATION INTEGER EXTERNAL)                                                                                                                                                                                                                                                             
