LOAD DATA
INFILE '..\datafiles\F_C_EXECRESPOINTS_METRICS.del'
BADFILE '..\badfiles\F_C_EXECRESPOINTS_METRICS.bad'
DISCARDFILE '..\discardfiles\F_C_EXECRESPOINTS_METRICS.dsc'
REPLACE
INTO TABLE STAR_SCHEMA."F_C_EXECRESPOINTS_METRICS"
FIELDS TERMINATED BY ","
OPTIONALLY ENCLOSED BY '"'
TRAILING NULLCOLS 
(                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
EXECRES_METRIC_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                           
EXECRES_CLASS_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                            
DATE_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                                     
TESTCASE_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                                 
TESTPLAN_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                                 
VERDICT_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                                  
PROJECT_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                                  
SUM_POINTS_PASSED INTEGER EXTERNAL,                                                                                                                                                                                                                                                           
SUM_POINTS_BLOCKED INTEGER EXTERNAL,                                                                                                                                                                                                                                                          
SUM_POINTS_INCONCLUSIVE INTEGER EXTERNAL,                                                                                                                                                                                                                                                     
SUM_POINTS_ATTEMPTED INTEGER EXTERNAL,                                                                                                                                                                                                                                                        
SUM_POINTS_FAILED INTEGER EXTERNAL,                                                                                                                                                                                                                                                           
SUM_POINTS_PERMFAILED INTEGER EXTERNAL,                                                                                                                                                                                                                                                       
TOTAL_CURRENT_EXECRES INTEGER EXTERNAL,                                                                                                                                                                                                                                                       
REC_DATETIME TIMESTAMP "YYYY-MM-DD HH24:MI:SS:FF6")                                                                                                                                                                                                                                           
