LOAD DATA
INFILE '..\datafiles\TASK_BASELINE.del'
BADFILE '..\badfiles\TASK_BASELINE.bad'
DISCARDFILE '..\discardfiles\TASK_BASELINE.dsc'
REPLACE
INTO TABLE NF_SCHEMA."TASK_BASELINE"
FIELDS TERMINATED BY ","
OPTIONALLY ENCLOSED BY '"'
TRAILING NULLCOLS 
(                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
BASELINE_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                                 
NAME CHAR (255),                                                                                                                                                                                                                                                                              
REFERENCE_ID CHAR (50),                                                                                                                                                                                                                                                                       
EXTERNAL_ID CHAR (100),                                                                                                                                                                                                                                                                       
TASK_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                                     
BASELINE_DATE TIMESTAMP "YYYY-MM-DD HH24:MI:SS:FF6",                                                                                                                                                                                                                                          
PLANNED_START DATE "YYYY-MM-DD",                                                                                                                                                                                                                                                              
PLANNED_FINISH DATE "YYYY-MM-DD",                                                                                                                                                                                                                                                             
PLANNED_WORK INTEGER EXTERNAL,                                                                                                                                                                                                                                                                
PLANNED_COST DECIMAL EXTERNAL,                                                                                                                                                                                                                                                                
PLANNED_DURATION INTEGER EXTERNAL,                                                                                                                                                                                                                                                            
URL CHAR (2048),                                                                                                                                                                                                                                                                              
EXTERNAL_KEY1 INTEGER EXTERNAL,                                                                                                                                                                                                                                                               
EXTERNAL_KEY2 CHAR (80),                                                                                                                                                                                                                                                                      
SOURCE_ID CHAR (36),                                                                                                                                                                                                                                                                          
REC_DATETIME TIMESTAMP "YYYY-MM-DD HH24:MI:SS:FF6",                                                                                                                                                                                                                                           
ISSOFTDELETED INTEGER EXTERNAL)                                                                                                                                                                                                                                                               
