LOAD DATA
INFILE '..\datafiles\TIMESHEET.del'
BADFILE '..\badfiles\TIMESHEET.bad'
DISCARDFILE '..\discardfiles\TIMESHEET.dsc'
REPLACE
INTO TABLE NF_SCHEMA."TIMESHEET"
FIELDS TERMINATED BY ","
OPTIONALLY ENCLOSED BY '"'
TRAILING NULLCOLS 
(                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
TIMESHEET_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                                
TIMESHEET_REPORTING_WEEK DATE "YYYY-MM-DD",                                                                                                                                                                                                                                                   
REFERENCE_ID CHAR (50),                                                                                                                                                                                                                                                                       
EXTERNAL_ID CHAR (100),                                                                                                                                                                                                                                                                       
ACTIVITY_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                                 
ADDITIONAL_WORK INTEGER EXTERNAL,                                                                                                                                                                                                                                                             
BILLABLE_HOURS INTEGER EXTERNAL,                                                                                                                                                                                                                                                              
NON_BILLABLE_HOURS INTEGER EXTERNAL,                                                                                                                                                                                                                                                          
APPROVER_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                                 
TIMESHEET_STATE CHAR (255),                                                                                                                                                                                                                                                                   
PERCENT_COMPLETE DECIMAL EXTERNAL,                                                                                                                                                                                                                                                            
LAST_APPROVAL_DATE DATE "YYYY-MM-DD",                                                                                                                                                                                                                                                         
REGULAR_TIME INTEGER EXTERNAL,                                                                                                                                                                                                                                                                
OVERTIME INTEGER EXTERNAL,                                                                                                                                                                                                                                                                    
MONDAY_DATE DATE "YYYY-MM-DD",                                                                                                                                                                                                                                                                
TUESDAY_DATE DATE "YYYY-MM-DD",                                                                                                                                                                                                                                                               
WEDNESDAY_DATE DATE "YYYY-MM-DD",                                                                                                                                                                                                                                                             
THURSDAY_DATE DATE "YYYY-MM-DD",                                                                                                                                                                                                                                                              
FRIDAY_DATE DATE "YYYY-MM-DD",                                                                                                                                                                                                                                                                
SATURDAY_DATE DATE "YYYY-MM-DD",                                                                                                                                                                                                                                                              
SUNDAY_DATE DATE "YYYY-MM-DD",                                                                                                                                                                                                                                                                
MONDAY_REGULAR_TIME INTEGER EXTERNAL,                                                                                                                                                                                                                                                         
TUESDAY_REGULAR_TIME INTEGER EXTERNAL,                                                                                                                                                                                                                                                        
WEDNESDAY_REGULAR_TIME INTEGER EXTERNAL,                                                                                                                                                                                                                                                      
THURSDAY_REGULAR_TIME INTEGER EXTERNAL,                                                                                                                                                                                                                                                       
FRIDAY_REGULAR_TIME INTEGER EXTERNAL,                                                                                                                                                                                                                                                         
SATURDAY_REGULAR_TIME INTEGER EXTERNAL,                                                                                                                                                                                                                                                       
SUNDAY_REGULAR_TIME INTEGER EXTERNAL,                                                                                                                                                                                                                                                         
MONDAY_OVT INTEGER EXTERNAL,                                                                                                                                                                                                                                                                  
TUESDAY_OVT INTEGER EXTERNAL,                                                                                                                                                                                                                                                                 
WEDNESDAY_OVT INTEGER EXTERNAL,                                                                                                                                                                                                                                                               
THURSDAY_OVT INTEGER EXTERNAL,                                                                                                                                                                                                                                                                
FRIDAY_OVT INTEGER EXTERNAL,                                                                                                                                                                                                                                                                  
SATURDAY_OVT INTEGER EXTERNAL,                                                                                                                                                                                                                                                                
SUNDAY_OVT INTEGER EXTERNAL,                                                                                                                                                                                                                                                                  
URL CHAR (2048),                                                                                                                                                                                                                                                                              
EXTERNAL_KEY1 INTEGER EXTERNAL,                                                                                                                                                                                                                                                               
EXTERNAL_KEY2 CHAR (40),                                                                                                                                                                                                                                                                      
SOURCE_ID CHAR (36),                                                                                                                                                                                                                                                                          
REC_DATETIME TIMESTAMP "YYYY-MM-DD HH24:MI:SS:FF6",                                                                                                                                                                                                                                           
ISSOFTDELETED INTEGER EXTERNAL)                                                                                                                                                                                                                                                               
