LOAD DATA
INFILE '..\datafiles\F_TEXT_FILE_CHANGE_METRICS.del'
BADFILE '..\badfiles\F_TEXT_FILE_CHANGE_METRICS.bad'
DISCARDFILE '..\discardfiles\F_TEXT_FILE_CHANGE_METRICS.dsc'
REPLACE
INTO TABLE STAR_SCHEMA."F_TEXT_FILE_CHANGE_METRICS"
FIELDS TERMINATED BY ","
OPTIONALLY ENCLOSED BY '"'
TRAILING NULLCOLS 
(                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
FTEXTCHNG_METRICS_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                        
DATE_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                                     
PROJECT_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                                  
TEAM_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                                     
FILE_STREAM_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                              
COMPONENT_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                                
CHANGE_SET_ADDITION_COUNT DECIMAL EXTERNAL,                                                                                                                                                                                                                                                   
CHANGE_SET_DELETION_COUNT DECIMAL EXTERNAL,                                                                                                                                                                                                                                                   
FILE_ADDITION_COUNT DECIMAL EXTERNAL,                                                                                                                                                                                                                                                         
FILE_DELETION_COUNT DECIMAL EXTERNAL,                                                                                                                                                                                                                                                         
FILE_MODIFICATION_COUNT DECIMAL EXTERNAL,                                                                                                                                                                                                                                                     
FOLDER_ADDITION_COUNT DECIMAL EXTERNAL,                                                                                                                                                                                                                                                       
FOLDER_DELETION_COUNT DECIMAL EXTERNAL,                                                                                                                                                                                                                                                       
FOLDER_MODIFICATION_COUNT DECIMAL EXTERNAL,                                                                                                                                                                                                                                                   
SIZE_DECREASE DECIMAL EXTERNAL,                                                                                                                                                                                                                                                               
SIZE_INCREASE DECIMAL EXTERNAL,                                                                                                                                                                                                                                                               
FILE_CLASS_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                               
EXTERNAL_KEY1 INTEGER EXTERNAL,                                                                                                                                                                                                                                                               
SOURCE_ID CHAR (36),                                                                                                                                                                                                                                                                          
REC_DATETIME TIMESTAMP "YYYY-MM-DD HH24:MI:SS:FF6")                                                                                                                                                                                                                                           
