LOAD DATA
INFILE '..\datafiles\REQUEST_CHANGE_HISTORY.del'
BADFILE '..\badfiles\REQUEST_CHANGE_HISTORY.bad'
DISCARDFILE '..\discardfiles\REQUEST_CHANGE_HISTORY.dsc'
REPLACE
INTO TABLE NF_SCHEMA."REQUEST_CHANGE_HISTORY"
FIELDS TERMINATED BY ","
OPTIONALLY ENCLOSED BY '"'
TRAILING NULLCOLS 
(                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
REQCHANGE_HISTORY_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                        
REQUEST_CLASS_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                            
REQUEST_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                                  
PREV_TEAM_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                                
PREV_REQUEST_CATEGORY_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                    
PREV_ITERATION_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                           
PREV_OWNER_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                               
CHANGE_DATE TIMESTAMP "YYYY-MM-DD HH24:MI:SS:FF6",                                                                                                                                                                                                                                            
PREV_REQUEST_TYPE CHAR (255),                                                                                                                                                                                                                                                                 
PREV_STATE CHAR (255),                                                                                                                                                                                                                                                                        
PREV_PRIORITY CHAR (255),                                                                                                                                                                                                                                                                     
PREV_SEVERITY CHAR (255),                                                                                                                                                                                                                                                                     
PREV_COMMENT_COUNT INTEGER EXTERNAL,                                                                                                                                                                                                                                                          
PREV_SUBSCRIBER_COUNT INTEGER EXTERNAL,                                                                                                                                                                                                                                                       
PREV_TAGS CHAR (255),                                                                                                                                                                                                                                                                         
PREV_PLANNED_WORK INTEGER EXTERNAL,                                                                                                                                                                                                                                                           
PREV_ACTUAL_WORK INTEGER EXTERNAL,                                                                                                                                                                                                                                                            
PREV_STORY_POINTS INTEGER EXTERNAL,                                                                                                                                                                                                                                                           
PREV_SUMMARY CHAR (1000),                                                                                                                                                                                                                                                                     
URL CHAR (2048),                                                                                                                                                                                                                                                                              
EXTERNAL_KEY1 INTEGER EXTERNAL,                                                                                                                                                                                                                                                               
EXTERNAL_KEY2 CHAR (40),                                                                                                                                                                                                                                                                      
SOURCE_ID CHAR (36),                                                                                                                                                                                                                                                                          
REC_DATETIME TIMESTAMP "YYYY-MM-DD HH24:MI:SS:FF6",                                                                                                                                                                                                                                           
ISSOFTDELETED INTEGER EXTERNAL)                                                                                                                                                                                                                                                               
