LOAD DATA
INFILE '..\datafiles\RISK.del'
BADFILE '..\badfiles\RISK.bad'
DISCARDFILE '..\discardfiles\RISK.dsc'
REPLACE
INTO TABLE NF_SCHEMA."RISK"
FIELDS TERMINATED BY ","
OPTIONALLY ENCLOSED BY '"'
TRAILING NULLCOLS 
(                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
RISK_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                                     
NAME CHAR (255),                                                                                                                                                                                                                                                                              
REFERENCE_ID CHAR (50),                                                                                                                                                                                                                                                                       
EXTERNAL_ID CHAR (100),                                                                                                                                                                                                                                                                       
PROJECT_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                                  
REQUIREMENT_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                              
PRIORITY CHAR (255),                                                                                                                                                                                                                                                                          
RISK_STATE CHAR (255),                                                                                                                                                                                                                                                                        
OCCURED_DATETIME TIMESTAMP "YYYY-MM-DD HH24:MI:SS:FF6",                                                                                                                                                                                                                                       
IMPACT INTEGER EXTERNAL,                                                                                                                                                                                                                                                                      
IMPACT_RANK CHAR (255),                                                                                                                                                                                                                                                                       
PROBABILITY INTEGER EXTERNAL,                                                                                                                                                                                                                                                                 
PROBABILITY_RANK CHAR (255),                                                                                                                                                                                                                                                                  
OWNER_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                                    
RELEASE_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                                  
ITERATION_ID INTEGER EXTERNAL,                                                                                                                                                                                                                                                                
TARGET_DATE TIMESTAMP "YYYY-MM-DD HH24:MI:SS:FF6",                                                                                                                                                                                                                                            
CREATION_DATE TIMESTAMP "YYYY-MM-DD HH24:MI:SS:FF6",                                                                                                                                                                                                                                          
CLOSE_DATE TIMESTAMP "YYYY-MM-DD HH24:MI:SS:FF6",                                                                                                                                                                                                                                             
IMPACT_CATEGORY CHAR (255),                                                                                                                                                                                                                                                                   
CONSEQUENCE_COST DECIMAL EXTERNAL,                                                                                                                                                                                                                                                            
PROBABILITY_COST DECIMAL EXTERNAL,                                                                                                                                                                                                                                                            
RISK_SCORE DECIMAL EXTERNAL,                                                                                                                                                                                                                                                                  
RISK_MANAGEMENT_ACTION CHAR (255),                                                                                                                                                                                                                                                            
URL CHAR (2048),                                                                                                                                                                                                                                                                              
EXTERNAL_KEY1 INTEGER EXTERNAL,                                                                                                                                                                                                                                                               
EXTERNAL_KEY2 CHAR (40),                                                                                                                                                                                                                                                                      
SOURCE_ID CHAR (36),                                                                                                                                                                                                                                                                          
REC_DATETIME TIMESTAMP "YYYY-MM-DD HH24:MI:SS:FF6",                                                                                                                                                                                                                                           
ISSOFTDELETED INTEGER EXTERNAL)                                                                                                                                                                                                                                                               
